Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2)

Issue 14930044: CPP: Remove uses of std::{cerr,endl} in production code. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 10 months ago by pliard1
Modified:
9 months, 1 week ago
Reviewers:
tamutharlay, thakis, roes
CC:
shaopengjia, yosin
Base URL:
https://libphonenumber.googlecode.com/svn/trunk
Visibility:
Public.

Description

CPP: Remove uses of std::{cerr,endl} in production code. They generated static initializers on Clang/Mac. This also adds the previously missing <algorithm> include in unicodetext.cc causing a compilation error on VS2013. This is a squash of (very slightly modified) patches contributed by thakis@ and yosin@. R=roes@google.com Committed: https://code.google.com/p/libphonenumber/source/detail?r=621

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -25 lines) Patch
M cpp/src/phonenumbers/phonenumbermatcher.cc View 3 chunks +1 line, -4 lines 0 comments Download
M cpp/src/phonenumbers/phonenumberutil.cc View 3 chunks +2 lines, -9 lines 0 comments Download
M cpp/src/phonenumbers/shortnumberinfo.cc View 1 chunk +1 line, -3 lines 0 comments Download
M cpp/src/phonenumbers/utf/unicodetext.cc View 6 chunks +7 lines, -9 lines 2 comments Download

Messages

Total messages: 11
pliard1
1 year, 10 months ago (2013-10-18 08:55:18 UTC) #1
roes
On 2013/10/18 08:55:18, pliard1 wrote: LGTM. Not that familiar with the c++ library, but looks ...
1 year, 10 months ago (2013-10-18 09:47:39 UTC) #2
roes
https://codereview.appspot.com/14930044/diff/1/cpp/src/phonenumbers/utf/unicodetext.cc File cpp/src/phonenumbers/utf/unicodetext.cc (right): https://codereview.appspot.com/14930044/diff/1/cpp/src/phonenumbers/utf/unicodetext.cc#newcode234 cpp/src/phonenumbers/utf/unicodetext.cc:234: fprintf(stderr, "UTF-8 buffer is not interchange-valid.\n"); Is there a ...
1 year, 10 months ago (2013-10-18 09:48:03 UTC) #3
pliard1
Thanks Cecilia! https://codereview.appspot.com/14930044/diff/1/cpp/src/phonenumbers/utf/unicodetext.cc File cpp/src/phonenumbers/utf/unicodetext.cc (right): https://codereview.appspot.com/14930044/diff/1/cpp/src/phonenumbers/utf/unicodetext.cc#newcode234 cpp/src/phonenumbers/utf/unicodetext.cc:234: fprintf(stderr, "UTF-8 buffer is not interchange-valid.\n"); On ...
1 year, 10 months ago (2013-10-18 09:53:28 UTC) #4
roes
Thanks for the explanation. On Fri, Oct 18, 2013 at 11:53 AM, <pliard@chromium.org> wrote: > ...
1 year, 10 months ago (2013-10-18 09:55:10 UTC) #5
pliard1
Committed patchset #1 manually as r621 (presubmit successful).
1 year, 10 months ago (2013-10-18 09:56:18 UTC) #6
thakis
For what it's worth, this isn't specific to Mac nor Clang. Including <iostream> inserts a ...
1 year, 10 months ago (2013-10-18 14:26:01 UTC) #7
thakis
…and thanks for landing! On Fri, Oct 18, 2013 at 2:56 AM, <pliard@chromium.org> wrote: > ...
1 year, 10 months ago (2013-10-18 14:26:17 UTC) #8
pliard1
On 2013/10/18 14:26:17, thakis wrote: > …and thanks for landing! > > > On Fri, ...
1 year, 10 months ago (2013-10-18 14:29:49 UTC) #9
tamutharlay
On 2013/10/18 14:29:49, pliard1 wrote: > On 2013/10/18 14:26:17, thakis wrote: > > …and thanks ...
9 months, 2 weeks ago (2014-11-20 00:41:12 UTC) #10
tamutharlay
9 months, 1 week ago (2014-11-24 05:48:45 UTC) #11
On Thursday, November 20, 2014, <tamutharlay@gmail.com> wrote:
> On 2013/10/18 14:29:49, pliard1 wrote:
>>
>> On 2013/10/18 14:26:17, thakis wrote:
>> > ...and thanks for landing!
>> >
>> >
>> > On Fri, Oct 18, 2013 at 2:56 AM, <mailto:pliard@chromium.org> wrote:
>> >
>> > > Committed patchset #1 manually as r621 (presubmit successful).
>> > >
>> > >
>> >
>
> https://codereview.appspot.**com/14930044/%3Chttps://
codereview.appspot.com/14930044/>
>>
>> > >
>
>> Ah thanks for the info! I will prepare a roll on the Chromium side.
>
> #1 manually as r621 (presubmit successful).
>
> https://codereview.appspot.com/14930044/
>

-- 
Kyaw
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld fd993c8